<?php

namespace Drupal\sass_compile\Commands;

use Drush\Commands\DrushCommands;

/**
 * A Drush command file.
 *
 * In addition to this file, you need a drush.services.yml
 * in root of your module, and a composer.json file that provides the name
 * of the services file to use.
 */
class SassCompileCommands extends DrushCommands {
  /**
   * Compile sass files based on given color code.
   *
   * @param string $source
   *   Argument provided to the drush command.
   *
   * @param string $destination
   *   Argument provided to the drush command.
   *
   * @command sass:compile
   * @aliases compile:sass
   * @options arr An option that takes multiple values.
   * @usage sass:compile themes/themeName/scss themes/themeName/css
   */
  public function sassCompile($source, $destination, $options = []) {

    \Drupal::service('sass_compile.sass_compile')->compileScssFiles($source, $destination);
    return $this->output()->writeln('Compilation completed. Please refer log for more information.');
  }
}